<?php
/**
 * Diccionario - buscar1.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-06-15
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include('funciones.php');
$db = conectaDb();

$consulta = "SELECT COUNT(*) FROM $dbTabla";
$result = $db->query($consulta);
if (!$result) {
    cabecera('Buscar 1', MENU_2, CABECERA_SIN_CURSOR);
    print "<p>Error en la consulta.</p>\n";
} elseif ($result->fetchColumn()==0) {
    cabecera('Buscar 1', MENU_2, CABECERA_SIN_CURSOR);
    print "<p>No se ha creado todavía ningún registro.</p>\n";
} else {
    $consulta = "SELECT * FROM $dbTabla";
    $result = $db->query($consulta);
    if (!$result) {
        cabecera('Buscar 1', MENU_2, CABECERA_SIN_CURSOR);
        print "<p>Error en la consulta.</p>\n";    
    } else {
        cabecera('Buscar 1', MENU_2, CABECERA_CON_CURSOR);
        print "<form action=\"buscar2.php\" method=\"".FORM_METHOD."\">
  <p>Escriba el término a buscar:</p>
  <table>
    <tbody>
      <tr>
        <td>Término:</td>
        <td><input type=\"text\" name=\"termino\" size=\"$tamPalabra\" "
        ."maxlength=\"$tamPalabra\" id=\"cursor\" /></td>
      </tr>
    </tbody>
  </table>
  <p><input type=\"submit\" value=\"Buscar en las palabras\" name=\"palabras\" />
    <input type=\"submit\" value=\"Buscar en las definiciones\" name=\"definiciones\" /></p>
</form>\n";
    }
}

$db = NULL; 
pie();
?>